Subject: Re: Question on Perl (.pl) association
From: "Martin Gainty" <[email-masked]>
To: "zzapper" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 17 Mar 2004 14:33:01 -0500

Hello David
I do not have tipftp.pl on my box although I found this from Allen Gordon
http://snallen.lsu.edu/lib/doc/commands/armstrong_tftp_server.shtml
Vim editor is not yet installed..although I would be open to specific
suggestions on how to accomplish the associative task with these utilities.
I was thinking that the only other way to acomplish this is to install a
preprocessor for command line input to sniff for .pl extension which would
invoke cygwin perl passing the argument with .pl extension along as an
argument.
There has to be an easier way.
Thanks,
Martin
----- Original Message -----
From: "zzapper" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, March 17, 2004 11:50 AM
Subject: Re: Question on Perl (.pl) association

> Hi,
> Currently I'm getting round this by writing a simple wrap for my perl
> scripts. I use ActiveState Perl for historical reasons.
>
> eg
>
> #!/bin/bash
> # tipftp
> # description :Wrap for tipftp.pl
> c:/usr/local/bin/perl c:/cygwin/usr/local/bin/tipftp.pl
>
> zzapper (vim, cygwin, wiki & zsh)
> --
>
> vim -c ":%s/^/WhfgTNabgureRIvzSUnpxre/|:%s/[R-T]/ /Ig|:normal ggVGg?"
>
> http://www.vim.org/tips/tip.php?tip_id=305  Best of Vim Tips
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/